<?php

return [
    'server' => [
        'huawei' => [
            'authToken'   => 'https://oauth-login.cloud.huawei.com/oauth2/v2/token',
            'messageSend' => 'https://push-api.cloud.huawei.com/v1/{appid}/messages:send',
            'tokenQuery'  => 'https://push-api.cloud.huawei.com/v1/{appid}/token:query',
            'tokenDelete' => 'https://push-api.cloud.huawei.com/v1/{appid}/token:delete',
            'topicSub'    => 'https://push-api.cloud.huawei.com/v1/{appid}/topic:subscribe',
            'topicUnSub'  => 'https://push-api.cloud.huawei.com/v1/{appid}/topic:unsubscribe',
            'topicList'   => 'https://push-api.cloud.huawei.com/v1/{appid}/topic:list',
        ],
        'oppo'   => [
            'auth'             => 'https://api.push.oppomobile.com/server/v1/auth',
            'saveMessage'      => 'https://api.push.oppomobile.com/server/v1/message/notification/save_message_content',
            'broadcast'        => 'https://api.push.oppomobile.com/server/v1/message/notification/broadcast',
            'unicast'          => 'https://api.push.oppomobile.com/server/v1/message/notification/unicast',
            'unicastBatch'     => 'https://api.push.oppomobile.com/server/v1/message/notification/unicast_batch',
            'setAlias'         => 'https://api-device.push.heytapmobi.com/server/v1/device/set_alias',
            'delAlias'         => 'https://api-device.push.heytapmobi.com/server/v1/device/delete_alias',
            'getAlias'         => 'https://api-device.push.heytapmobi.com/server/v1/device/get_alias',
            'addTags'          => 'https://api-device.push.heytapmobi.com/server/v1/device/add_tags',
            'addTagGroup'      => 'https://api-device.push.heytapmobi.com/server/v1/device/add_tag_group',
            'subTags'          => 'https://api-device.push.heytapmobi.com/server/v1/device/subscribe_tags',
            'unSubTags'        => 'https://api-device.push.heytapmobi.com/server/v1/device/unsubscribe_tags',
            'getAllTags'       => 'https://api-device.push.heytapmobi.com/server/v1/device/get_all_tags',
            'getInvalidRegIds' => 'https://feedback.push.oppomobile.com/server/v1/feedback/fetch_invalid_regidList',
            'fetchPushPermit'  => 'https://feedback.push.oppomobile.com/server/v1/feedback/fetch_push_permit',
        ]
    ]
];
